LSDISPLAY(1)

NAME
lsdisplay - list connected displays with details and layout diagram

SYNOPSIS
lsdisplay [OPTIONS]

DESCRIPTION
lsdisplay lists all connected displays/monitors with manufacturer, model, serial number, resolution, position, rotation, and connector type. It also renders an ASCII art diagram showing the physical layout of the displays.

Display identification is performed by parsing EDID data from /sys/class/drm/*/edid. Resolution and positioning information is obtained from xrandr(1), with fallback to kscreen-doctor(1) or wlr-randr(1) on Wayland sessions.

lsdisplay is similar in spirit to lscpu(1), lsusb(8), and lspci(8), but for display devices.

OPTIONS

--json
    Output all display information as JSON.

--short, -s
    Compact output with one line per display.

--no-layout
    Skip the ASCII art layout diagram.

--version, -V
    Show version number and exit.

--help, -h
    Show help message and exit.

OUTPUT
The default output consists of two sections:

CONNECTED DISPLAYS
    A table listing each display with output name, resolution, position, diagonal size, manufacturer, model, connector type, serial number, rotation, and primary flag.

LAYOUT
    An ASCII art diagram showing the relative positions and sizes of all displays with correct proportions.

EXAMPLES
lsdisplay
lsdisplay --json
lsdisplay -s
lsdisplay --json | jq '.[].manufacturer'

FILES

/sys/class/drm/card*/edid
    EDID binary data for each display output.

/sys/class/drm/card*-*/status
    Connection status for each output port.

SEE ALSO
xrandr(1), kscreen-doctor(1), lsgpu(1), lspci(8), lsusb(8), lscpu(1), edid-decode(1)

BUGS
Report bugs at https://github.com/AGuyMarc/lsdisplay/issues

AUTHOR
Guy-Marc APRIN <2026@gm.casa>
NB: contact email rotates yearly — 2027@gm.casa in 2027, etc.

LICENSE
GPL-2.0. See LICENSE for the full text.